<fieldset #form="ngModelGroup" ngModelGroup="vehicle">

    <qtb-question-heading heading="Great! Now let's find your car"
              moreInfoText="Where do I find this information?"></qtb-question-heading>

        <div class="responsive-form__wrapper">
            <div class="select__wrapper responsive-form__medium">
                <label for="car-make">
                    <span>Make</span>
                </label>
                <select 
                    [(ngModel)]="formModel.vehicle.make" 
                    name="make" 
                    id="car-make"
                    required
                    qtbErrorMessage
                    class="form-control">
                    <option 
                        *ngFor="let make of carOptions.makes" 
                        [ngValue]="make.value">{{make.display}}
                    </option>
                </select>
                <!-- <select [(ngModel)]="formModel.model.carMake" name="carMake" id="car-make">
                    <option *ngFor="let make of carOptions.carMakes" value="{{make.value}}">{{make.display}}</option>
                </select> -->
            </div>
            <div class="select__wrapper responsive-form__medium">
                <label for="car-year">
                    <span>Year of manufacture</span>
                </label>
                <select
                        [(ngModel)]="formModel.vehicle.year"
                        name="year"
                        id="car-year"
                        required
                        qtbErrorMessage
                        class="form-control">
                    <option *ngFor="let year of carOptions.years" [ngValue]="year.value">{{year.display}}</option>
                </select>
            </div>

            <div class="select__wrapper responsive-form__medium">
                <label for="car-model">
                    <span>Model</span>
                </label>
                <select
                        [(ngModel)]="formModel.vehicle.model"
                        name="model"
                        id="car-model"
                        required
                        qtbErrorMessage
                        class="form-control">
                    <option *ngFor="let model of carOptions.models" [ngValue]="model.value">{{model.display}}</option>
                </select>
            </div>
            <div class="select__wrapper responsive-form__medium">
                <label for="car-transmission">
                    <span>Transmission</span>
                </label>
                <select
                        [(ngModel)]="formModel.vehicle.transmission"
                        name="transmission"
                        id="car-transmission"
                        required
                        qtbErrorMessage
                        class="form-control">
                    <option *ngFor="let transmission of carOptions.transmissions" [ngValue]="transmission.value">{{transmission.display}}</option>
                </select>
            </div>
            <div class="select__wrapper responsive-form__medium">
                <label for="car-engine">
                    <span>Engine</span>
                </label>
                <select
                        [(ngModel)]="formModel.vehicle.engine"
                        name="engine"
                        id="car-engine"
                        required
                        qtbErrorMessage
                        class="form-control">
                    <option *ngFor="let engine of carOptions.engines" [ngValue]="engine.value">{{engine.display}}</option>
                </select>
            </div>
        </div>
    </fieldset>